Send a transactional mail
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/transactionalmail/{transactionalMailId}/send
clientIdstringClient ID
transactionalMailIdinteger<int64>Transactional mail ID
acceptstringGenerated from available response content types
personalizedAttachmentsTokenstringToken of the attachment to be sent
datastring<p>Recipient data. Configure "data.[attribute]" according to the corresponding recipient list field.
Example:
data.firstname: John
data.lastname: Smith
data.email: <a href="mailto:[email protected]" target="_blank">[email protected]</a> (only required if the email list field is not the address field)
Does not work with the "Try it out" feature.</p>
recipientIdstring<p>Email address or telephone number (for SMS). In case the id field is the address field in the recipient list the recipientId is sufficient. If not you have to provide the address in the request body.</p>
recipientListIdinteger<int64>Transactional recipient list to which the recipient will be added
202<p>The transactional mail was accepted and is sent asynchronously. To retrieve the sending status of the transactional mail, use the returned mailId and the GET status operation.</p>
400<p>The required recipientId/recipientListId is not provided and the recipient list is not assigned to the mailing. Add the required parameters and try again.</p>
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/transactionalmail/{transactionalMailId}/send \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'recipientId=string' \
--data 'recipientListId=integer<int64>'